/**
 * @author Edouard DUPIN
 * 
 * @copyright 2010, Edouard DUPIN, all right reserved
 * 
 * @license GPL v3 (see license file)
 */

#ifndef __WORKER_SAVE_ALL_FILE_H__
#define __WORKER_SAVE_ALL_FILE_H__

#include <appl/BufferManager.h>
#include <appl/Gui/WorkerSaveFile.h>

namespace appl {
	class WorkerSaveAllFile : public ewol::Object {
		public:
			WorkerSaveAllFile();
			virtual ~WorkerSaveAllFile();
		private:
			std::vector<std::string> m_bufferNameList;
			ewol::object::Shared<appl::WorkerSaveFile> m_worker; //! pop-up element that is open...
			ewol::object::Shared<appl::BufferManager> m_bufferManager; //!< handle on the buffer manager
		public: // derived function
			virtual void onReceiveMessage(const ewol::object::Message& _msg);
			virtual void onObjectRemove(const ewol::object::Shared<ewol::Object>& _removeObject);
	};
};

#endif
